=== debian/changelog ===
libinsane (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * debian/patches: cheery-pick upstream commit to fix Debian build

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 23 Dec 2019 15:16:10 +0100

libinsane (1.0.2-2) unstable; urgency=medium

  * debian/rules: Use meson buildsystem directly instead of included Makefile
  * debian/control: Enable unit tests at build time

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 11 Dec 2019 22:16:42 +0100

libinsane (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * debian:
    - Add Salsa CI jobs
    - Add symbol from 1.0.2
    - Bump Standards-Version to 4.4.1 (no changes needed)
    - Add Multi-Arch: foreign to doc package

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 26 Nov 2019 13:46:24 +0100

libinsane (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #940962)

 -- Thomas Perret <thomas.perret@phyx.fr>  Mon, 26 Aug 2019 17:53:03 +0200
