=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

%:
	dh $@ --with gir

override_dh_auto_configure:
	mkdir -p debian/build
	cd debian/build && meson --werror --warnlevel 3 --prefix=${PREFIX} ../..

override_dh_auto_build:
	cd debian/build && ninja -v

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/build && ninja -v test
endif

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/tmp ninja -v install

override_dh_missing:
	dh_missing --fail-missing
