## libinsane 1.0.4

=== debian/changelog ===
libinsane (1.0.4-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- andyprough <andyprough@protonmail.com>  Sat, 15 Aug 2020 00:42:32 -0500

libinsane (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * debian/patches: Drop patches applied upstream
  * debian/symbols: Add new symbols from new upstream version 1.0.4
  * debian/rules: Use same warnlevel as upstream
  * debian/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 17 Mar 2020 00:59:59 +0100
