=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: libinsane
 Priority: optional
-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
+Maintainer: andyprough <andyprough@protonmail.com>
+XSBC-Original-Maintainer: Thomas Perret <thomas.perret@phyx.fr>
 Build-Depends: debhelper-compat (= 12), meson, libsane-dev, libgirepository1.0-dev, gobject-introspection, python3-gi, valac, gtk-doc-tools, libcunit1-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/libinsane
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/libinsane
