=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_configure:
 	mkdir -p debian/build
-	cd debian/build && meson --werror --warnlevel 3 --prefix=${PREFIX} ../..
+	cd debian/build && meson --werror --warnlevel 2 --prefix=${PREFIX} ../..
 
 override_dh_auto_build:
 	cd debian/build && ninja -v
@@ -23,3 +23,6 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
