=== debian/changelog ===
libinsane (1.0.9-2) unstable; urgency=medium

  * debian/rules: explicitly use meson+ninja build system (remove now
    unnecessary overrides)

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 19 Jan 2021 19:57:11 +0100

libinsane (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Add missing tests for autopkgtests
  * debian/control: Bump Standards-Version (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Wed, 06 Jan 2021 15:48:09 +0100

libinsane (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 10 Oct 2020 00:37:20 +0200

libinsane (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7
  * Add symbols from 1.0.7
  * debian/control: Bump debhelper compat to 13
  * debian/rules: drop dh_missing override
  * Ignore test build of dh_girepository for blhc checks

 -- Thomas Perret <thomas.perret@phyx.fr>  Thu, 03 Sep 2020 19:08:10 +0200
