=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/libinsane.*\.tar\.gz/libinsane-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/OpenPaperWork/libinsane/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
