## libinsane 1.0.10

=== debian/changelog ===
libinsane (1.0.10-4) unstable; urgency=medium

  * debian/tests: disable valgrind for armhf architecture (Closes: #1100939)
  * debian/copyright: Update copyright year
  * debian/control: Bump Standards-Version (no changes needed)

 -- Thomas Perret <thomas.perret@phyx.fr>  Tue, 25 Mar 2025 22:54:12 +0100

libinsane (1.0.10-3) unstable; urgency=medium

  * debian/tests: Run tests with valgrind only on supported arch

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 07 Sep 2024 14:38:43 +0200

libinsane (1.0.10-2) unstable; urgency=medium

  * debian/watch: Fix upstream URL checking
  * debian/rules: reduce the limit of allowed file descriptors
  * debian/control:
    + bump Standards-Version to 4.7.0 (no changes needed)
    + Build-Depends on dh-sequence-gir
  * debian/copyright: update copyright years
  * debian/tests:
    + add missing macro when building tests
    + reformat Tests entry

 -- Thomas Perret <thomas.perret@phyx.fr>  Sat, 07 Sep 2024 00:05:51 +0200

libinsane (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/symbols:
    + Add symbols from 1.0.10
    + Add Build-Depends-Package field to libinsane_gobject library's symbols
  * debian/control: Bumps Standards-Version to 4.6.2 (no changes needed)
  * debian/tests: Add new unittests
  * debian/copyright: update copyright year
  * debian/rules: Ignore arch-triplet for blhc checks override

 -- Thomas Perret <thomas.perret@phyx.fr>  Sun, 03 Dec 2023 14:24:31 +0100
