=== debian/control ===
--- 
+++ 
@@ -1,8 +1,17 @@
 Source: libinsane
 Priority: optional
 Maintainer: Thomas Perret <thomas.perret@phyx.fr>
-Build-Depends: debhelper-compat (= 13), meson, libsane-dev, libgirepository1.0-dev, gobject-introspection, python3-gi, valac, gtk-doc-tools, libcunit1-dev
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ meson,
+ libsane-dev,
+ dh-sequence-gir,
+ gir1.2-glib-2.0-dev,
+ python3-gi,
+ valac,
+ gtk-doc-tools,
+ libcunit1-dev,
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.gnome.org/World/OpenPaperwork/libinsane
 Vcs-Browser: https://salsa.debian.org/openpaperwork-team/libinsane
@@ -16,6 +25,7 @@
 Depends: libinsane1 (= ${binary:Version}),
          gir1.2-libinsane-1.0 (= ${binary:Version}),
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Library to access scanner - development files
  A cross-platform, cross-programming languages, cross scanner library
  that takes care of all the quirks of scanners.
