=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PREFIX=/usr

%:
	dh $@ --with gir --buildsystem=meson+ninja

override_dh_auto_test:
	# dedicated_process workaround tries to close all possible file
	# descriptors and sbuild seems to set it to the hard limit which
	# is 1073741816 on my system and generates timeout
ifeq ($(filter nocheck, $(DEB_BUILD_OPTIONS)),)
	ulimit -Sn
	ulimit -Sn 1024 && dh_auto_test
endif

override_dh_girepository:
	@echo 'blhc: ignore-line-regexp: \s+(\w+-?)*gcc -Wno-implicit-function-declaration -shared -fPIC -o debian/gir.*'
	dh_girepository
